<?php
// +----------------------------------------------------------------------
// | WindSNS 、微版本 :国内领先企业级社交开源SNS框架系统
// +----------------------------------------------------------------------
// | Copyright (c) 2017~2028 http://windsns.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 常州微诺信息科技有限公司 http://www.weinuo.net
// +----------------------------------------------------------------------
// | E-mail: open@weinuo.net
// +----------------------------------------------------------------------
// | 微信客服: weinuogroup
// +----------------------------------------------------------------------
namespace app\about\controller;
use app\common\controller\Frontend;
use think\Db;

class Index extends Frontend
{

    protected $noNeedLogin = '*';
    protected $noNeedRight = '*';
    protected $layout = '';

    public function index()
    {

    	
    	$this->view->assign('title', __('关于我们'));
    	$webconfigure = Db::name('authorization')-> where(['ws_websiteid'=>1])-> value ('ws_websitekey');
    	return $this->view->fetch();
    
    }

    public function windsns_copyright()
    {
    	$this->view->assign('title', __('版权申明'));
        return $this->view->fetch('windsns_copyright');
    }


    public function windsns_privacy()
    {
    	$this->view->assign('title', __('隐私保护'));
        return $this->view->fetch('windsns_privacy');
    }

    public function windsns_business()
    {
    	$this->view->assign('title', __('商务合作'));
        return $this->view->fetch('windsns_business');
    }


    public function windsns_product()
    {
    	$this->view->assign('title', __('产品服务'));
        return $this->view->fetch('windsns_product');
    }

    public function windsns_call()
    {
    	$this->view->assign('title', __('联系我们'));
        return $this->view->fetch('windsns_call');
    }
    public function windsns_links()
    {
    	$this->view->assign('title', __('友情链接'));
        $windsns_links = Db::name('links')->where(['links_state'=>1])-> order('linksid', 'desc')->paginate(20); //友情列表
        $page = $windsns_links->render();
    	$this->assign('windsns_links', $windsns_links);
        return $this->view->fetch('windsns_links');
    }
    public function windsns_maps()
    {
    	$this->view->assign('title', __('网站地图'));
        return $this->view->fetch('windsns_maps');
    }



 

}
